autofs-5.0.8 - fix external env configure

From: Ian Kent <raven@themaw.net>

Macro lookup can also resolve names in the external environment.
The configure script disables this by default but the configure
help implies it is enabled by default.
---
 CHANGELOG    |    1 +
 configure    |    2 +-
 configure.in |    2 +-
 3 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index 10a2a68..5316b26 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -29,6 +29,7 @@
 - fix macro_addvar() and move init to main thread.
 - change walk_tree() to take ap.
 - add negative cache lookup to hesiod lookup.
+- fix external env configure.
 
 17/10/2013 autofs-5.0.8
 =======================
diff --git a/configure b/configure
index 4e1743d..ffc2493 100755
--- a/configure
+++ b/configure
@@ -5631,7 +5631,7 @@ else
   enableval=yes
 fi
 
-if test x$enable_ext_env = xyes; then
+if test x$enable_ext_env = xyes -o x$enableval = xyes; then
 
 $as_echo "#define ENABLE_EXT_ENV 1" >>confdefs.h
 
diff --git a/configure.in b/configure.in
index 1eeb8dc..6b561b9 100644
--- a/configure.in
+++ b/configure.in
@@ -346,7 +346,7 @@ AC_SUBST(DAEMON_LDFLAGS)
 AC_ARG_ENABLE(ext-env,
 [  --disable-ext-env	  disable search in environment for substitution variable],,
 	enableval=yes)
-if test x$enable_ext_env = xyes; then
+if test x$enable_ext_env = xyes -o x$enableval = xyes; then
         AC_DEFINE(ENABLE_EXT_ENV, 1, [leave this alone])
 fi
 
